function deviation = recycle_controller(p_suction,p_discharge,mass_flow)

global strategy M R T1 qe Re k_scl

vol_flow = mass_flow/p_suction*R*T1/M;
p_ratio = p_discharge/p_suction;

switch strategy
    case 1
        deviation = strategy1(p_ratio,vol_flow);

    case 2
        deviation = strategy2(p_ratio,vol_flow);
end
    
    % Strategy 1
    function deviation1 = strategy1(p_ratio,vol_flow)
               
        deviation1 = SCL(p_ratio)^2-sign(vol_flow)*vol_flow^2;
        
    end
    
    % Strategy 2
    function deviation2 = strategy2(p_ratio,vol_flow)
        deviation2 = 1 - (sign(vol_flow)*vol_flow^2/SCL(p_ratio)^2);
    end

end